<?php
/**
 *
 * @author  ahrasis http://coding.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     QRR: Quick Reply Reposition
 *
 */

function QRR_under_last_post()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

  if (!empty($modSettings['qrr_enable'])) {
	echo '
			<div id="ajax_quick_reply_bottom" style="display:none;"></div>
				</form>';

	if ($context['can_reply'] && !empty($options['display_quick_reply']))
	{	
		echo '
				<div class="windowbg">
					<span class="topslice"><span></span></span>
					<div class="post_wrapper">';

		// Show information about the poster of this message.
		echo '
						<div class="poster">
							<h4>';
		// Show a link to the member's profile.
		echo '
								<a href="', $scripturl, '?action=profile;u=', $context['user']['id'], '">
									', $context['user']['name'], '
								</a>
								
							</h4>';

			// Show avatars, images, etc.?';
			if (!empty($settings['show_user_images']) && empty($options['show_no_avatars']) && !empty($context['user']['avatar']['image']))
				echo '
							<ul class="reset smalltext"><li></li>
								<li class="avatar">
									<a href="', $scripturl, '?action=profile;u=', $context['user']['id'], '">
										', $context['user']['avatar']['image'], '
									</a>
								</li>
							</ul>';
				echo '
						</div>';
						
		// Done with the information about the poster... on to the post itself.
		echo '
						<div class="postarea">
							<div class="flow_hidden">
								<div class="keyinfo">
									<h5>
										<strong>', $txt['quick_reply'], '</strong>
									</h5>
								</div>
							</div>';

		// Show the post itself, finally!
		echo '
							<div class="post">';

		echo '
			<a id="quickreply"></a>
						<p class="smalltext lefttext">', $txt['quick_reply_desc'], '</p>
						', $context['is_locked'] ? '<p class="alert smalltext">' . $txt['quick_reply_warning'] . '</p>' : '',
						$context['oldTopicError'] ? '<p class="alert smalltext">' . sprintf($txt['error_old_topic'], $modSettings['oldTopicDays']) . '</p>' : '', '
						', $context['can_reply_approved'] ? '' : '<em>' . $txt['wait_for_approval'] . '</em>', '
						', !$context['can_reply_approved'] && $context['require_verification'] ? '<br />' : '', '
						<form action="', $scripturl, '?board=', $context['current_board'], ';action=post2" method="post" accept-charset="', $context['character_set'], '" name="postmodify" id="postmodify" onsubmit="submitonce(this);" style="margin: 0;">
							<input type="hidden" name="topic" value="', $context['current_topic'], '" />
							<input type="hidden" name="subject" value="', $context['response_prefix'], $context['subject'], '" />
							<input type="hidden" name="icon" value="xx" />
							<input type="hidden" name="from_qr" value="1" />
							<input type="hidden" name="notify" value="', $context['is_marked_notify'] || !empty($options['auto_notify']) ? '1' : '0', '" />
							<input type="hidden" name="not_approved" value="', !$context['can_reply_approved'], '" />
							<input type="hidden" name="goback" value="', empty($options['return_to_post']) ? '0' : '1', '" />
							<input type="hidden" name="last_msg" value="', $context['topic_last_message'], '" />
							<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
							<input type="hidden" name="seqnum" value="', $context['form_sequence_number'], '" />';

			// Guests just need more.
			if ($context['user']['is_guest'])
				echo '
							<strong>', $txt['name'], ':</strong> <input type="text" name="guestname" value="', $context['name'], '" size="25" class="input_text" tabindex="', $context['tabindex']++, '" />
							<strong>', $txt['email'], ':</strong> <input type="text" name="email" value="', $context['email'], '" size="25" class="input_text" tabindex="', $context['tabindex']++, '" /><br />';

			// Is visual verification enabled?
			if ($context['require_verification'])
				echo '
							<strong>', $txt['verification'], ':</strong>', template_control_verification($context['visual_verification_id'], 'quick_reply'), '<br />';

			echo '
							<div class="quickReplyContent">
								<textarea style="width:98%" cols="" rows="7" name="message" tabindex="', $context['tabindex']++, '"></textarea>
							</div>
							<div class="centertext padding">
								<input type="submit" name="post" value="', $txt['post'], '" onclick="return ', (!empty($context['ajax_quick_reply'])) ? 'oQuickReply.ajax_reply(\'' . $context['session_var'] . '\', \'' . $context['session_id'] . '\')' : 'submitThisOnce(this)', ';" accesskey="s" tabindex="', $context['tabindex']++, '" class="button_submit" />
								<input type="submit" name="preview" value="', $txt['preview'], '" onclick="return submitThisOnce(this);" accesskey="p" tabindex="', $context['tabindex']++, '" class="button_submit" />';

			if ($context['show_spellchecking'])
				echo '
								<input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'postmodify\', \'message\');" tabindex="', $context['tabindex']++, '" class="button_submit" />';

			echo '
							</div>
						</form>';

		echo '
							</div>
						</div>
					</div>
					<span class="botslice"><span></span></span>
				</div>
				<hr class="post_separator" />';

		// Again, the location of this is very important and may be hard to find in a custom template.  The key is, as above in the
		// default template, look for the signature lines and it should go right after the last </div> below it
		if (isset($context['message']))
			echo '
					<!-- End Single Post -->';
	}

	echo '
			</div>
			<a id="lastPost"></a>';
  }
}

?>